<?php
/**
 * @version		$Id: category_items.php 1.0 2012-05-05 16:29:00Z reneb $
 * @package 	Joomla
 * @subpackage	FLEXIcontent
 * @copyright 	(C) 2012 Emmanuel Danan - www.vistamedia.fr	
 * @subpackage	ndk-flexicontent-event template
 * @author		Ren Bz,  Andrew Patton
 * @copyright	Copyright (C) 2010 nettdotkomm, Pure Cobalt. All rights reserved.
 * @license		GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 **/


defined( '_JEXEC' ) or die( 'Restricted access' );
?>

<div class="floattext">
	<?php if ( ($this->params->get('show_cat_title', 1)) && ($this->params->get( 'show_page_title', 1 )) && ($this->params->get('page_title') != $this->category->title) ) : ?>
    <div class="cat_title headlines">
        <div class="cat_title headlines_r">
            <div class="cat_title headlines_m">
            <h2 class="flexicontent cat<?php echo $this->category->id; ?> contentheading cattitle headlines_m_h">
                <?php echo $this->escape($this->category->title); ?>
            </h2>
            </div>
        </div>
    </div>
	<?php endif; ?>
    
    <?php if ( ($this->params->get('show_cat_title', 1)) && ($this->params->get( 'show_page_title', 1 )) && ($this->params->get('page_title') == $this->category->title)  ) : ?>
    <div class="page_title headlines">
        <div class="page_title headlines_r">
            <div class="page_title headlines_m">
            <h1 class="flexicontent cat<?php echo $this->category->id; ?> componentheading pagetitle headlines_m_h">
                <?php echo $this->escape($this->category->title); ?>
            </h1>
            </div>
        </div>
    </div>
	<?php endif; ?>

	<?php // if (!empty($this->category->image) && $this->params->get('show_description_image', 1)) : 
	if (!empty($this->category->image)) :?>
	<div class="catimg">
		<?php // echo JHTML::_('image.site', $this->category->image, 'images/stories/', NULL, NULL, $this->escape($this->category->title)); ?>
        <?php echo $this->category->image; ?>
	</div>
    <div class="clear"></div>	
	<?php endif; ?>
	
	<?php if ($this->params->get('show_description', 1) && $this->category->description) : ?>
	<div class="catdescription">
		<?php echo $this->category->description; ?>
	</div>
	<?php endif; ?>
    
</div>