<?php
/**
 * @version		$Id: category_items.php 1.0 2012-05-05 16:29:00Z reneb $
 * @package 	Joomla
 * @subpackage	FLEXIcontent
 * @copyright 	(C) 2012 Emmanuel Danan - www.vistamedia.fr	
 * @subpackage	ndk-flexicontent-event template
 * @author		Ren Bz,  Andrew Patton
 * @copyright	Copyright (C) 2010 nettdotkomm, Pure Cobalt. All rights reserved.
 * @license		GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 **/

defined( '_JEXEC' ) or die( 'Restricted access' );
?>

<?php
$n = count($this->categories);
$i = 0;
?>
<div class="subcategorieslist">
	<?php
	echo '<span class="label">'.JText::_( 'FLEXI_SUBCATEGORIES' ) . ':</span>';
	foreach ($this->categories as $sub) :
		$subsubcount = count($sub->subcats);	
		$subitemcount = $sub->assigneditems;
	?>
		<span class="subcat"><span class="link"><a href="<?php echo JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) ); ?>"><?php echo $this->escape($sub->title); ?></a></span>
		<?php
		if ($this->params->get('show_itemcount', 1)) echo '<span class="count">(' . ($subitemcount != null ? '<span class="items">'.$subitemcount.'</span>/<span class="subcats">'.$subsubcount.'</span>' : '<span class="items">0</span>/<span class="subcats">'.$subsubcount.'</span>') . ')</span>';
		$i++;
		if ($i != $n) :
			echo ', ';
		endif;
		echo '</span>';
	endforeach; ?>
</div>